
#vertexshader

float4x4 matrixProjection;

struct vsOut { float4 p : POSITION; float2 uv0 : TEXCOORD0; float4 col : COLOR0; };

vsOut main(float3 p : POSITION, float2 uv0 : TEXCOORD0, float4 col : COLOR0)
{
	vsOut o2;
//	o2.p = mul(matrixProjection, float4(p,1));
	o2.p = float4(p,1);
	o2.uv0 = uv0;
	o2.col = col;
	return o2;
};

#pixelshader

sampler2D tex: register(s0);

float4 main(float4 p : POSITION, float2 uv0 : TEXCOORD0, float4 col : COLOR0) : COLOR
{
	return tex2D(tex, uv0) * col;
//	float4 texel = tex2D(tex, uv0);
//	return float4(texel.rgb * texel.a, 1.0f) * col;
};
